Tərəfdaşlar üçün API › Məlumat Qara siyahıya qeyd əlavə et POST /api/crm/v2/black_list.addv2
operationId: blackList.add
Qara siyahıya qeyd əlavə edir. type_lock sorğu gövdəsində hansı identifikatorun gözlənildiyini müəyyən edir: phone_number, client_branch_profile_id və ya client_account_id. Şəbəkə daxilində dublikat rədd edilir.
Avtorizasiya api-token + language + role
Sorğu gövdəsi application/json object
type_lock string mütləq
Dəyərlər: phone_numberclient_branch_profile_idclient_account_id
Nümunə: phone_number
Variantlardan biri
blackListOneOf
object (blackListOneOf)
Variantlardan biri
object object object
object
Bloklama phone_number üzrə
phone_format_id integer (PhoneFormatId) mütləq
Ölkə kodu: 1-🇷🇺(+7|8), 2-🇦🇿(+994|0), 3-🇧🇾(+375|80), 4-🇰🇿(+7|8), 6-🇷🇸(+381|0), 7-🇹🇷(+90|0), 8-🇺🇦(+380|0), 9-🇵🇹(+351|0), 10-🇰🇬(+996|0), 11-🇺🇸(+1), 12-🇫🇷(+33|0), 13-🇲🇩(+373|0), 15-🇪🇪(+372), 18-🇬🇪(+995), 19-🇺🇿(+998), 22-🇵🇱(+48|0), 23-🇹🇯(+992|8), 25-🇷🇴(+40|0), 44-🇨🇭(+41|0)
Nümunə: 1
phone_number string mütləq
Nümunə: 705-712-51-20
object
Bloklama client_branch_profile_id üzrə
client_branch_profile_id integer mütləq
Filialda müştəri profilinin ID-si
Nümunə: 48997963
object
Bloklama client_account_id üzrə
client_account_id integer mütləq
Nümunə: 4211309
Cavablar 200
object
status string mütləq
Dəyərlər: successerror
Nümunə: success
data object
description string
Nümunə: Successfully added
row object
chain_id integer
Nümunə: 7135
date string (DataTimeFormatSQL)
Nümunə: 2024-05-02 08:31:16
phone_format_id integer
Nümunə: 4
phone_number string
Nümunə: 7057125119
client_account_id integer
Nümunə: 0
client_branch_profile_id integer
Nümunə: 0
blocked boolean
Nümunə: true
curl PHP JavaScript Python Kopyalamaq
curl -X POST 'https://foodsoul.pro/api/crm/v2/black_list.add' \
-H 'Authorization: Bearer fs_api_YOUR_TOKEN' \
-H 'language: az' \
-H 'role: partner' \
-H 'Content-Type: application/json' \
-d '{"phone_format_id":1,"phone_number":"705-712-51-20"}' <?php
$client = new \GuzzleHttp\Client ();
$response = $client -> request ( 'POST' , 'https://foodsoul.pro/api/crm/v2/black_list.add' , [
'headers' => [
'Authorization' => 'Bearer fs_api_YOUR_TOKEN' ,
'language' => 'az' ,
'role' => 'partner' ,
],
'json' => [
'phone_format_id' => 1 ,
'phone_number' => '705-712-51-20' ,
],
]);
$data = json_decode (( string ) $response -> getBody (), true ); const response = await fetch ( "https://foodsoul.pro/api/crm/v2/black_list.add" , {
method : "POST" ,
headers : {
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "az" ,
"role" : "partner" ,
"Content-Type" : "application/json"
},
body : JSON . stringify ({
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20"
}),
})
const data = await response . json () import requests
response = requests . request (
"POST" ,
"https://foodsoul.pro/api/crm/v2/black_list.add" ,
headers ={
"Authorization" : "Bearer fs_api_YOUR_TOKEN" ,
"language" : "az" ,
"role" : "partner" ,
},
json ={
"phone_format_id" : 1 ,
"phone_number" : "705-712-51-20" ,
},
)
data = response . json () Cavab 200
{
"status" : "success" ,
"data" : {
"description" : "Successfully added" ,
"row" : {
"chain_id" : 7135 ,
"date" : "2024-05-02 08:31:16" ,
"phone_format_id" : 4 ,
"phone_number" : "7057125119" ,
"client_account_id" : 0 ,
"client_branch_profile_id" : 0 ,
"blocked" : true ,
"id" : "82348"
}
}
} Sorğular foodsoul.pro ünvanına göndərilir — bu portalın hostudur, başqa birini seçmək mümkün deyil.